petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscGLLCreateType

algorithm used to compute the GLL nodes and weights

### Synopsis

    typedef enum {PETSCGLL_VIA_LINEARALGEBRA,PETSCGLL_VIA_NEWTON} PetscGLLCreateType;

     PETSCGLL_VIA_LINEARALGEBRA - compute the nodes via linear algebra

     PETSCGLL_VIA_NEWTON - compute the nodes by solving a nonlinear equation with Newton's method

### See Also

PetscGLL, PetscGLLCreate()

### Level

beginner

### Location

include/petscgll.h

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages